List Bank Branch Identifiers
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 21513,
"name": "SITAKUNDA",
"branch_code": "020157391"
}
]
}{
"message": "Authentication failed"
}Create Beneficiary
List Bank Branch Identifiers
Retrieve a list of available branches for a specific bank or payment method
GET
/
v1
/
beneficiaries
/
methods
/
{method_id}
/
branches
List Bank Branch Identifiers
curl --request GET \
--url https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches \
--header 'Authorization: Bearer <token>'const url = 'https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.get("https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches")
.header("Authorization", "Bearer <token>")
.asString();import requests
url = "https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sandbox.api.fin.com/v1/beneficiaries/methods/{method_id}/branches"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{
"id": 21513,
"name": "SITAKUNDA",
"branch_code": "020157391"
}
]
}{
"message": "Authentication failed"
}Authorizations
Bearer token authentication. Obtain token from Issue a Token endpoint
Path Parameters
Response
Branch identifiers retrieved successfully
Show child attributes
Show child attributes
⌘I
